#517 Error when opening files

Closed
opened 4 months ago by 6543 · 13 comments
6543 commented 4 months ago

Created By: @Anagastes

# What do you want to address?

# Describe your matter briefly

I have problems with Gitea 1.11 and 1.12-rc1 with Gitnex 2.5.1 opening data in the repository.

Get the message “The version is not supported, user Gitea 1.7 or higher” in the subfolder. But it is already in use at a higher level.

Unfortunately I have no log on Android. I only have the following log from Gitea itself.

Some additional details (Useful, when we are trying to reproduce a bug)
  • The version of Gitea you are using: 1.11 and 1.12-rc1
  • The version of GitNex you are using: 2.5.1
  • Phone OS version and model: Redmi Note 7 Pro “Violet” / Android 10
  • The type of certificate you are using (self-signed, signed): LetsEncrypt
  • How you used to log in (via password or token): Token-Login
We would appreciate some screenshots or stacktrace’s, but this is also not required.

Screenshot attached ;)

Gites-Log

2020/05/30 03:16:04 ...m.io/xorm/core/db.go:154:QueryContext() [I] [SQL] SELECT `id`, `owner_id`, `owner_name`, `lower_name`, `name`, `description`, `website`, `original_service_type`, `original_url`, `default_branch`, `num_watches`, `num_stars`, `num_forks`, `num_issues`, `num_closed_issues`, `num_pulls`, `num_closed_pulls`, `num_milestones`, `num_closed_milestones`, `is_private`, `is_empty`, `is_archived`, `is_mirror`, `status`, `is_fork`, `fork_id`, `is_template`, `template_id`, `size`, `is_fsck_enabled`, `close_issues_via_commit_in_any_branch`, `topics`, `avatar`, `created_unix`, `updated_unix` FROM `repository` WHERE `owner_id`=? AND `lower_name`=? LIMIT 1 [1 documentations] - 439.258µs 
2020/05/30 03:16:04 ...m.io/xorm/core/db.go:154:QueryContext() [I] [SQL] SELECT `id`, `repo_id`, `user_id`, `mode` FROM `collaboration` WHERE `repo_id`=? AND `user_id`=? LIMIT 1 [34 1] - 257.233µs 
2020/05/30 03:16:04 ...m.io/xorm/core/db.go:154:QueryContext() [I] [SQL] SELECT `id`, `repo_id`, `type`, `config`, `created_unix` FROM `repo_unit` WHERE (repo_id = ?) [34] - 502.416µs 
2020/05/30 03:16:04 ...m.io/xorm/core/db.go:154:QueryContext() [I] [SQL] SELECT count(*) FROM `release` WHERE repo_id=? AND is_draft=? [34 false] - 339.846µs 
2020/05/30 03:16:08 ...m.io/xorm/core/db.go:154:QueryContext() [I] [SQL] SELECT user_id, count(*) AS count FROM notification WHERE user_id IN (SELECT user_id FROM notification WHERE updated_unix >= ? AND updated_unix < ?) AND status = ? GROUP BY user_id [1590801356 1590801366 1] - 1.021752ms 
Created By: @Anagastes ## # What do you want to address? - [X] Bug - [ ] Feature - [ ] Suggestion ## # Describe your matter briefly I have problems with Gitea 1.11 and 1.12-rc1 with Gitnex 2.5.1 opening data in the repository. Get the message "The version is not supported, user Gitea 1.7 or higher" in the subfolder. But it is already in use at a higher level. Unfortunately I have no log on Android. I only have the following log from Gitea itself. ##### Some additional details (Useful, when we are trying to reproduce a bug) * The version of **Gitea** you are using: **1.11 and 1.12-rc1** * The version of **GitNex** you are using: **2.5.1** * Phone **OS** version and model: **Redmi Note 7 Pro "Violet" / Android 10** * The type of certificate you are using (self-signed, signed): **LetsEncrypt** * How you used to log in (via password or token): **Token-Login** ##### We would appreciate some screenshots or stacktrace's, but this is also not required. Screenshot attached ;) #### Gites-Log ```sql 2020/05/30 03:16:04 ...m.io/xorm/core/db.go:154:QueryContext() [I] [SQL] SELECT `id`, `owner_id`, `owner_name`, `lower_name`, `name`, `description`, `website`, `original_service_type`, `original_url`, `default_branch`, `num_watches`, `num_stars`, `num_forks`, `num_issues`, `num_closed_issues`, `num_pulls`, `num_closed_pulls`, `num_milestones`, `num_closed_milestones`, `is_private`, `is_empty`, `is_archived`, `is_mirror`, `status`, `is_fork`, `fork_id`, `is_template`, `template_id`, `size`, `is_fsck_enabled`, `close_issues_via_commit_in_any_branch`, `topics`, `avatar`, `created_unix`, `updated_unix` FROM `repository` WHERE `owner_id`=? AND `lower_name`=? LIMIT 1 [1 documentations] - 439.258µs 2020/05/30 03:16:04 ...m.io/xorm/core/db.go:154:QueryContext() [I] [SQL] SELECT `id`, `repo_id`, `user_id`, `mode` FROM `collaboration` WHERE `repo_id`=? AND `user_id`=? LIMIT 1 [34 1] - 257.233µs 2020/05/30 03:16:04 ...m.io/xorm/core/db.go:154:QueryContext() [I] [SQL] SELECT `id`, `repo_id`, `type`, `config`, `created_unix` FROM `repo_unit` WHERE (repo_id = ?) [34] - 502.416µs 2020/05/30 03:16:04 ...m.io/xorm/core/db.go:154:QueryContext() [I] [SQL] SELECT count(*) FROM `release` WHERE repo_id=? AND is_draft=? [34 false] - 339.846µs 2020/05/30 03:16:08 ...m.io/xorm/core/db.go:154:QueryContext() [I] [SQL] SELECT user_id, count(*) AS count FROM notification WHERE user_id IN (SELECT user_id FROM notification WHERE updated_unix >= ? AND updated_unix < ?) AND status = ? GROUP BY user_id [1590801356 1590801366 1] - 1.021752ms ```
6543 added the
Support
label 4 months ago
6543 closed this issue 4 months ago
mmarif commented 4 months ago
Owner

Can you tell us what version is showed in the app About screen?

Does this happen for all files?

Can you tell us what version is showed in the app About screen? Does this happen for all files?
opyale commented 4 months ago

Does this bug occur for you when using the latest build of GitNex? You can get it here: https://cloud.swatian.com/s/Cq592xGEfnsGAAW

Does this bug occur for you when using the latest build of GitNex? You can get it here: https://cloud.swatian.com/s/Cq592xGEfnsGAAW
6543 commented 4 months ago
Poster

Created By: @Anagastes

Can you tell us what version is showed in the app About screen?

Does this happen for all files?

Version 1.12-rc1 is displayed in the app

Does this bug occur for you when using the latest build of GitNex? You can get it here: https://cloud.swatian.com/s/Cq592xGEfnsGAAW

I’m afraid not. Even with the app the error remains. I now have a LogCat attached. Maybe this will help.

Created By: @Anagastes > Can you tell us what version is showed in the app About screen? > > Does this happen for all files? Version 1.12-rc1 is displayed in the app > Does this bug occur for you when using the latest build of GitNex? You can get it here: https://cloud.swatian.com/s/Cq592xGEfnsGAAW I'm afraid not. Even with the app the error remains. I now have a LogCat attached. Maybe this will help.
opyale commented 4 months ago

By the way, thank you for your efforts. We really appreciate that. I will have a look at your stack traces now.

By the way, thank you for your efforts. We really appreciate that. I will have a look at your stack traces now.
mmarif commented 4 months ago
Owner

@Anagastes can you confirm,

Does this happen for all files?

Is this private instance?, if you don’t mind can you create a test user and send the details to gitnex@swatian.com. It will help debug this further.

@Anagastes can you confirm, > Does this happen for all files? Is this private instance?, if you don't mind can you create a test user and send the details to gitnex@swatian.com. It will help debug this further.
6543 commented 4 months ago
Poster

Created By: @Anagastes

@mmarif

Is this private instance?, if you don’t mind can you create a test user and send the details to gitnex@swatian.com. It will help debug this further.

It is only for data that is in subfolders. Data in the root directory I can open.

Test-User-Link ist send to this address. :)

It’s in every repository. Mine are private. But you can just create a new one. That’s where the error should occur.

Created By: @Anagastes @mmarif > Is this private instance?, if you don't mind can you create a test user and send the details to gitnex@swatian.com. It will help debug this further. It is only for data that is in subfolders. Data in the root directory I can open. Test-User-Link ist send to this address. :) It's in every repository. Mine are private. But you can just create a new one. That's where the error should occur.
mmarif commented 4 months ago
Owner

It’s in every repository. Mine are private. But you can just create a new one. That’s where the error should occur.

Thanks, I will soon test it out.

> It’s in every repository. Mine are private. But you can just create a new one. That’s where the error should occur. Thanks, I will soon test it out.
mmarif commented 4 months ago
Owner

While trying to access the site, I get this. Anything I am missing, adblock is disabled. It fails to load some js libraries.

While trying to access the site, I get this. Anything I am missing, adblock is disabled. It fails to load some js libraries.
6543 commented 4 months ago
Poster

Created By: @Anagastes

While trying to access the site, I get this. Anything I am missing, adblock is disabled. It fails to load some js libraries.

@mmarif

f****k Ive enabled http2 on reverse proxy. One moment please

Created By: @Anagastes > While trying to access the site, I get this. Anything I am missing, adblock is disabled. It fails to load some js libraries. @mmarif f****k Ive enabled http2 on reverse proxy. One moment please
6543 commented 4 months ago
Poster

Created By: @Anagastes

@mmarif

I’m sorry, please cleare cache and try again. This bug still alive.

Created By: @Anagastes @mmarif I'm sorry, please cleare cache and try again. This bug still alive.
mmarif commented 4 months ago
Owner

Ok.

In the mean time, if you are using Apache as reverse proxy. Can you add this AllowEncodedSlashes On in httpd.conf and try.

Ok. In the mean time, if you are using Apache as reverse proxy. Can you add this `AllowEncodedSlashes On` in httpd.conf and try.
6543 commented 4 months ago
Poster

Created By: @Anagastes

Ok.

In the mean time, if you are using Apache as reverse proxy. Can you add this AllowEncodedSlashes On in httpd.conf and try.

Ok. Ive changed from AllowEncodedSlashes NoDecode to AllowEncodedSlashes On now. And Its solved!

Created By: @Anagastes > Ok. > > In the mean time, if you are using Apache as reverse proxy. Can you add this `AllowEncodedSlashes On` in httpd.conf and try. > Ok. Ive changed from `AllowEncodedSlashes NoDecode` to `AllowEncodedSlashes On` now. And Its solved!
mmarif commented 4 months ago
Owner

Great. 👍

I also tested it, and it works with sub dirs and files.

I will close this issue now. And hope you can leave a nice review in play store. :)

Great. 👍 I also tested it, and it works with sub dirs and files. I will close this issue now. And hope you can leave a nice review in play store. :)
Sign in to join this conversation.
No Milestone
No Assignees
3 Participants
Notifications
Due Date

No due date set.

Dependencies

This issue currently doesn't have any dependencies.

Loading…
There is no content yet.